AMQPConnection::setHost
AMQPConnection::setPassword
AMQPConnection
PHP Manual

# AMQPConnection::setLogin

(PECL amqp >= Unknown)

AMQPConnection::setLogin — Set the login.

### Description

public bool AMQPConnection::setLogin ( string `$login` )

This method will set the login string used to connect to the AMQP broker.

### Parameters

`login`

  The login string used to authenticate with the AMQP broker.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Errors/Exceptions

Throws an AMQPConnectionException if `login` is longer then 32characters.

### Examples

Example #1 AMQPConnection::setLogin() example

`<?php
/* Create a new connection */
$cnn = new AMQPConnection();
// set the login
$cnn->setLogin('myusername');
?>`

AMQPConnection::setHost
AMQPConnection::setPassword
AMQPConnection
PHP Manual